package com.example.orderly.ui.auth

import androidx.navigation.ActionOnlyNavDirections
import androidx.navigation.NavDirections
import com.example.orderly.NavGraphDirections
import com.example.orderly.R

public class LoginFragmentDirections private constructor() {
  public companion object {
    public fun actionLoginFragmentToNavHome(): NavDirections =
        ActionOnlyNavDirections(R.id.action_loginFragment_to_nav_home)

    public fun actionLoginFragmentToRegisterFragment(): NavDirections =
        ActionOnlyNavDirections(R.id.action_loginFragment_to_registerFragment)

    public fun actionLoginFragmentToSplashFragment(): NavDirections =
        ActionOnlyNavDirections(R.id.action_loginFragment_to_splashFragment)

    public fun actionGlobalWelcomeFragment(): NavDirections =
        NavGraphDirections.actionGlobalWelcomeFragment()
  }
}
